Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObjectToDataSetFilter Class Reference

`#include <vtkDataObjectToDataSetFilter.h>`

Inheritance diagram for vtkDataObjectToDataSetFilter:

[legend]
Collaboration diagram for vtkDataObjectToDataSetFilter:

[legend]
List of all members.

## Detailed Description

map field data to concrete dataset

Date:
  2002/11/03 22:51:55

Revision:
  1.26

vtkDataObjectToDataSetFilter is an class that maps a data object (i.e., a field) into a concrete dataset, i.e., gives structure to the field by defining a geometry and topology.

To use this filter you associate components in the input field data with portions of the output dataset. (A component is an array of values from the field.) For example, you would specify x-y-z points by assigning components from the field for the x, then y, then z values of the points. You may also have to specify component ranges (for each z-y-z) to make sure that the number of x, y, and z values is the same. Also, you may want to normalize the components which helps distribute the data uniformly. Once you've setup the filter to combine all the pieces of data into a specified dataset (the geometry, topology, point and cell data attributes), the various output methods (e.g., GetPolyData()) are used to retrieve the final product.

This filter is often used in conjunction with vtkFieldDataToAttributeDataFilter. vtkFieldDataToAttributeDataFilter takes field data and transforms it into attribute data (e.g., point and cell data attributes such as scalars and vectors). To do this, use this filter which constructs a concrete dataset and passes the input data object field data to its output. and then use vtkFieldDataToAttributeDataFilter to generate the attribute data associated with the dataset.

Warning:
  Make sure that the data you extract is consistent. That is, if you have N points, extract N x, y, and z components. Also, all the information necessary to define a dataset must be given. For example, vtkPolyData requires points at a minimum; vtkStructuredPoints requires setting the dimensions; vtkStructuredGrid requires defining points and dimensions; vtkUnstructuredGrid requires setting points; and vtkRectilinearGrid requires that you define the x, y, and z-coordinate arrays (by specifying points) as well as the dimensions.

Warning:
  If you wish to create a dataset of just points (i.e., unstructured points dataset), create vtkPolyData consisting of points. There will be no cells in such a dataset.

See also:
  vtkDataObject vtkFieldData vtkDataSet vtkPolyData vtkStructuredPoints vtkStructuredGrid vtkUnstructuredGrid vtkRectilinearGrid vtkDataSetAttributes vtkDataArray

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (71%)
  - Cedilnik, Andy (9%)
  - Martin, Ken (6%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkDataObjectToDataSetFilter.h)`
  - .`cxx` (`/Graphics/vtkDataObjectToDataSetFilter.cxx)`

Examples:
  vtkDataObjectToDataSetFilter (Examples)

Tests:
  vtkDataObjectToDataSetFilter (Tests)

Definition at line 102 of file vtkDataObjectToDataSetFilter.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkDataObject *input)
vtkDataObject * | GetInput ()
void | SetDataSetType (int)
virtual int | GetDataSetType ()
void | SetDataSetTypeToPolyData ()
void | SetDataSetTypeToStructuredPoints ()
void | SetDataSetTypeToStructuredGrid ()
void | SetDataSetTypeToRectilinearGrid ()
void | SetDataSetTypeToUnstructuredGrid ()
vtkDataSet * | GetOutput ()
vtkDataSet * | GetOutput (int idx)
vtkPolyData * | GetPolyDataOutput ()
vtkStructuredPoints * | GetStructuredPointsOutput ()
vtkStructuredGrid * | GetStructuredGridOutput ()
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
vtkRectilinearGrid * | GetRectilinearGridOutput ()
void | SetPointComponent (int comp, char *arrayName, int arrayComp, int min, int max, int normalize)
void | SetPointComponent (int comp, char *arrayName, int arrayComp)
const char * | GetPointComponentArrayName (int comp)
int | GetPointComponentArrayComponent (int comp)
int | GetPointComponentMinRange (int comp)
int | GetPointComponentMaxRange (int comp)
int | GetPointComponentNormailzeFlag (int comp)
void | SetVertsComponent (char *arrayName, int arrayComp, int min, int max)
void | SetVertsComponent (char *arrayName, int arrayComp)
const char * | GetVertsComponentArrayName ()
int | GetVertsComponentArrayComponent ()
int | GetVertsComponentMinRange ()
int | GetVertsComponentMaxRange ()
void | SetLinesComponent (char *arrayName, int arrayComp, int min, int max)
void | SetLinesComponent (char *arrayName, int arrayComp)
const char * | GetLinesComponentArrayName ()
int | GetLinesComponentArrayComponent ()
int | GetLinesComponentMinRange ()
int | GetLinesComponentMaxRange ()
void | SetPolysComponent (char *arrayName, int arrayComp, int min, int max)
void | SetPolysComponent (char *arrayName, int arrayComp)
const char * | GetPolysComponentArrayName ()
int | GetPolysComponentArrayComponent ()
int | GetPolysComponentMinRange ()
int | GetPolysComponentMaxRange ()
void | SetStripsComponent (char *arrayName, int arrayComp, int min, int max)
void | SetStripsComponent (char *arrayName, int arrayComp)
const char * | GetStripsComponentArrayName ()
int | GetStripsComponentArrayComponent ()
int | GetStripsComponentMinRange ()
int | GetStripsComponentMaxRange ()
void | SetCellTypeComponent (char *arrayName, int arrayComp, int min, int max)
void | SetCellTypeComponent (char *arrayName, int arrayComp)
const char * | GetCellTypeComponentArrayName ()
int | GetCellTypeComponentArrayComponent ()
int | GetCellTypeComponentMinRange ()
int | GetCellTypeComponentMaxRange ()
void | SetCellConnectivityComponent (char *arrayName, int arrayComp, int min, int max)
void | SetCellConnectivityComponent (char *arrayName, int arrayComp)
const char * | GetCellConnectivityComponentArrayName ()
int | GetCellConnectivityComponentArrayComponent ()
int | GetCellConnectivityComponentMinRange ()
int | GetCellConnectivityComponentMaxRange ()
virtual void | SetDefaultNormalize (int)
virtual int | GetDefaultNormalize ()
virtual void | DefaultNormalizeOn ()
virtual void | DefaultNormalizeOff ()
virtual void | SetDimensions (int, int, int)
virtual void | SetDimensions (int[3])
virtual int * | GetDimensions ()
virtual void | GetDimensions (int data[3])
virtual void | SetOrigin (float, float, float)
virtual void | SetOrigin (float[3])
virtual float * | GetOrigin ()
virtual void | GetOrigin (float data[3])
virtual void | SetSpacing (float, float, float)
virtual void | SetSpacing (float[3])
virtual float * | GetSpacing ()
virtual void | GetSpacing (float data[3])
void | SetDimensionsComponent (char *arrayName, int arrayComp, int min, int max)
void | SetDimensionsComponent (char *arrayName, int arrayComp)
void | SetSpacingComponent (char *arrayName, int arrayComp, int min, int max)
void | SetSpacingComponent (char *arrayName, int arrayComp)
void | SetOriginComponent (char *arrayName, int arrayComp, int min, int max)
void | SetOriginComponent (char *arrayName, int arrayComp)
## Static Public Methods
vtkDataObjectToDataSetFilter * | New ()
int | IsTypeOf (const char *type)
vtkDataObjectToDataSetFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObjectToDataSetFilter ()
| ~vtkDataObjectToDataSetFilter ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | SetArrayName (char *&name, char *newName)
vtkIdType | ConstructPoints (vtkPointSet *ps)
vtkIdType | ConstructPoints (vtkRectilinearGrid *rg)
int | ConstructCells (vtkPolyData *pd)
int | ConstructCells (vtkUnstructuredGrid *ug)
vtkCellArray * | ConstructCellArray (vtkDataArray *da, int comp, vtkIdType compRange[2])
void | ConstructDimensions ()
void | ConstructSpacing ()
void | ConstructOrigin ()
## Protected Attributes
char | Updating
int | DataSetType
char * | PointArrays [3]
int | PointArrayComponents [3]
vtkIdType | PointComponentRange [3][2]
int | PointNormalize [3]
char * | VertsArray
int | VertsArrayComponent
vtkIdType | VertsComponentRange [2]
char * | LinesArray
int | LinesArrayComponent
vtkIdType | LinesComponentRange [2]
char * | PolysArray
int | PolysArrayComponent
vtkIdType | PolysComponentRange [2]
char * | StripsArray
int | StripsArrayComponent
vtkIdType | StripsComponentRange [2]
char * | CellTypeArray
int | CellTypeArrayComponent
vtkIdType | CellTypeComponentRange [2]
char * | CellConnectivityArray
int | CellConnectivityArrayComponent
vtkIdType | CellConnectivityComponentRange [2]
int | DefaultNormalize
int | Dimensions [3]
float | Origin [3]
float | Spacing [3]
char * | DimensionsArray
int | DimensionsArrayComponent
vtkIdType | DimensionsComponentRange [2]
char * | OriginArray
int | OriginArrayComponent
vtkIdType | OriginComponentRange [2]
char * | SpacingArray
int | SpacingArrayComponent
vtkIdType | SpacingComponentRange [2]

## Member Typedef Documentation

typedef vtkSource vtkDataObjectToDataSetFilter::Superclass

| Reimplemented from vtkSource. Definition at line 106 of file vtkDataObjectToDataSetFilter.h.

## Constructor & Destructor Documentation

vtkDataObjectToDataSetFilter::vtkDataObjectToDataSetFilter | ( |  | ) | `[protected]`

vtkDataObjectToDataSetFilter::~vtkDataObjectToDataSetFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataObjectToDataSetFilter* vtkDataObjectToDataSetFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDataObjectToDataSetFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkDataObjectToDataSetFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkDataObjectToDataSetFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkDataObjectToDataSetFilter* vtkDataObjectToDataSetFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

void vtkDataObjectToDataSetFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

void vtkDataObjectToDataSetFilter::SetInput | ( | vtkDataObject * | input | ) |

| Set the input to the filter.

vtkDataObject* vtkDataObjectToDataSetFilter::GetInput | ( |  | ) |

| Set the input to the filter.

void vtkDataObjectToDataSetFilter::SetDataSetType | ( | int |  | ) |

| Control what type of data is generated for output.

virtual int vtkDataObjectToDataSetFilter::GetDataSetType | ( |  | ) | `[virtual]`

| Control what type of data is generated for output.

void vtkDataObjectToDataSetFilter::SetDataSetTypeToPolyData | ( |  | ) | `[inline]`

| Control what type of data is generated for output. Definition at line 119 of file vtkDataObjectToDataSetFilter.h. References VTK_POLY_DATA.

void vtkDataObjectToDataSetFilter::SetDataSetTypeToStructuredPoints | ( |  | ) | `[inline]`

| Control what type of data is generated for output. Definition at line 121 of file vtkDataObjectToDataSetFilter.h. References VTK_STRUCTURED_POINTS.

void vtkDataObjectToDataSetFilter::SetDataSetTypeToStructuredGrid | ( |  | ) | `[inline]`

| Control what type of data is generated for output. Definition at line 123 of file vtkDataObjectToDataSetFilter.h. References VTK_STRUCTURED_GRID.

void vtkDataObjectToDataSetFilter::SetDataSetTypeToRectilinearGrid | ( |  | ) | `[inline]`

| Control what type of data is generated for output. Definition at line 125 of file vtkDataObjectToDataSetFilter.h. References VTK_RECTILINEAR_GRID.

void vtkDataObjectToDataSetFilter::SetDataSetTypeToUnstructuredGrid | ( |  | ) | `[inline]`

| Control what type of data is generated for output. Definition at line 127 of file vtkDataObjectToDataSetFilter.h. References VTK_UNSTRUCTURED_GRID.

vtkDataSet* vtkDataObjectToDataSetFilter::GetOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

vtkDataSet* vtkDataObjectToDataSetFilter::GetOutput | ( | int | idx | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.) Reimplemented from vtkSource.

vtkPolyData* vtkDataObjectToDataSetFilter::GetPolyDataOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

vtkStructuredPoints* vtkDataObjectToDataSetFilter::GetStructuredPointsOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

vtkStructuredGrid* vtkDataObjectToDataSetFilter::GetStructuredGridOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

vtkUnstructuredGrid* vtkDataObjectToDataSetFilter::GetUnstructuredGridOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

vtkRectilinearGrid* vtkDataObjectToDataSetFilter::GetRectilinearGridOutput | ( |  | ) |

| Get the output in different forms. The particular method invoked should be consistent with the SetDataSetType() method. (Note: GetOutput() will always return a type consistent with SetDataSetType(). Also, GetOutput() will return NULL if the filter aborted due to inconsistent data.)

void vtkDataObjectToDataSetFilter::SetPointComponent | ( | int | comp,
|  | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max,
|  | int | normalize
| ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

void vtkDataObjectToDataSetFilter::SetPointComponent | ( | int | comp,
|  | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value). Definition at line 160 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetPointComponentArrayName | ( | int | comp | ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

int vtkDataObjectToDataSetFilter::GetPointComponentArrayComponent | ( | int | comp | ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

int vtkDataObjectToDataSetFilter::GetPointComponentMinRange | ( | int | comp | ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

int vtkDataObjectToDataSetFilter::GetPointComponentMaxRange | ( | int | comp | ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

int vtkDataObjectToDataSetFilter::GetPointComponentNormailzeFlag | ( | int | comp | ) |

| Define the component of the field to be used for the x, y, and z values of the points. Note that the parameter comp must lie between (0,2) and refers to the x-y-z (i.e., 0,1,2) components of the points. To define the field component to use you can specify an array name and the component in that array. The (min,max) values are the range of data in the component you wish to extract. (This method should be used for vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also provided which does not require setting the (min,max) component range or the normalize flag (normalize is set to DefaulatNormalize value).

void vtkDataObjectToDataSetFilter::SetVertsComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetVertsComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 178 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetVertsComponentArrayName | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetVertsComponentArrayComponent | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetVertsComponentMinRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetVertsComponentMaxRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetLinesComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetLinesComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 185 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetLinesComponentArrayName | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetLinesComponentArrayComponent | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetLinesComponentMinRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetLinesComponentMaxRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetPolysComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetPolysComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 192 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetPolysComponentArrayName | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetPolysComponentArrayComponent | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetPolysComponentMinRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetPolysComponentMaxRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetStripsComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetStripsComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 199 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetStripsComponentArrayName | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetStripsComponentArrayComponent | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetStripsComponentMinRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetStripsComponentMaxRange | ( |  | ) |

| Define cell connectivity when creating vtkPolyData. You can define vertices, lines, polygons, and/or triangle strips via these methods. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of values that (for each cell) includes the number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetCellTypeComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetCellTypeComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 217 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetCellTypeComponentArrayName | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellTypeComponentArrayComponent | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellTypeComponentMinRange | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellTypeComponentMaxRange | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetCellConnectivityComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

void vtkDataObjectToDataSetFilter::SetCellConnectivityComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.) Definition at line 225 of file vtkDataObjectToDataSetFilter.h.

const char* vtkDataObjectToDataSetFilter::GetCellConnectivityComponentArrayName | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellConnectivityComponentArrayComponent | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellConnectivityComponentMinRange | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

int vtkDataObjectToDataSetFilter::GetCellConnectivityComponentMaxRange | ( |  | ) |

| Define cell types and cell connectivity when creating unstructured grid data. These methods are similar to those for defining points, except that no normalization of the data is possible. Basically, you need to define an array of cell types (an integer value per cell), and another array consisting (for each cell) of a number of points per cell, and then the cell connectivity. (This is the vtk file format described in in the textbook or User's Guide.)

virtual void vtkDataObjectToDataSetFilter::SetDefaultNormalize | ( | int |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetPointComponent).

virtual int vtkDataObjectToDataSetFilter::GetDefaultNormalize | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetPointComponent).

virtual void vtkDataObjectToDataSetFilter::DefaultNormalizeOn | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetPointComponent).

virtual void vtkDataObjectToDataSetFilter::DefaultNormalizeOff | ( |  | ) | `[virtual]`

| Set the default Normalize() flag for those methods setting a default Normalize value (e.g., SetPointComponent).

virtual void vtkDataObjectToDataSetFilter::SetDimensions | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify the dimensions to use if generating a dataset that requires dimensions specification (vtkStructuredPoints, vtkStructuredGrid, vtkRectilinearGrid).

virtual void vtkDataObjectToDataSetFilter::SetDimensions | ( | int | [3] | ) | `[virtual]`

| Specify the dimensions to use if generating a dataset that requires dimensions specification (vtkStructuredPoints, vtkStructuredGrid, vtkRectilinearGrid).

virtual int* vtkDataObjectToDataSetFilter::GetDimensions | ( |  | ) | `[virtual]`

| Specify the dimensions to use if generating a dataset that requires dimensions specification (vtkStructuredPoints, vtkStructuredGrid, vtkRectilinearGrid).

virtual void vtkDataObjectToDataSetFilter::GetDimensions | ( | int | data[3] | ) | `[virtual]`

| Specify the dimensions to use if generating a dataset that requires dimensions specification (vtkStructuredPoints, vtkStructuredGrid, vtkRectilinearGrid).

virtual void vtkDataObjectToDataSetFilter::SetOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the origin to use if generating a dataset whose origin can be set (i.e., a vtkStructuredPoints dataset).

virtual void vtkDataObjectToDataSetFilter::SetOrigin | ( | float | [3] | ) | `[virtual]`

| Specify the origin to use if generating a dataset whose origin can be set (i.e., a vtkStructuredPoints dataset).

virtual float* vtkDataObjectToDataSetFilter::GetOrigin | ( |  | ) | `[virtual]`

| Specify the origin to use if generating a dataset whose origin can be set (i.e., a vtkStructuredPoints dataset).

virtual void vtkDataObjectToDataSetFilter::GetOrigin | ( | float | data[3] | ) | `[virtual]`

| Specify the origin to use if generating a dataset whose origin can be set (i.e., a vtkStructuredPoints dataset).

virtual void vtkDataObjectToDataSetFilter::SetSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the spacing to use if generating a dataset whose spacing can be set (i.e., a vtkStructuredPoints dataset).

virtual void vtkDataObjectToDataSetFilter::SetSpacing | ( | float | [3] | ) | `[virtual]`

| Specify the spacing to use if generating a dataset whose spacing can be set (i.e., a vtkStructuredPoints dataset).

virtual float* vtkDataObjectToDataSetFilter::GetSpacing | ( |  | ) | `[virtual]`

| Specify the spacing to use if generating a dataset whose spacing can be set (i.e., a vtkStructuredPoints dataset).

virtual void vtkDataObjectToDataSetFilter::GetSpacing | ( | float | data[3] | ) | `[virtual]`

| Specify the spacing to use if generating a dataset whose spacing can be set (i.e., a vtkStructuredPoints dataset).

void vtkDataObjectToDataSetFilter::SetDimensionsComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods.

void vtkDataObjectToDataSetFilter::SetDimensionsComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods. Definition at line 270 of file vtkDataObjectToDataSetFilter.h.

void vtkDataObjectToDataSetFilter::SetSpacingComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods.

void vtkDataObjectToDataSetFilter::SetSpacingComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods. Definition at line 273 of file vtkDataObjectToDataSetFilter.h.

void vtkDataObjectToDataSetFilter::SetOriginComponent | ( | char * | arrayName,
|  | int | arrayComp,
|  | int | min,
|  | int | max
| ) |

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods.

void vtkDataObjectToDataSetFilter::SetOriginComponent | ( | char * | arrayName,
|  | int | arrayComp
| ) | `[inline]`

| Alternative methods to specify the dimensions, spacing, and origin for those datasets requiring this information. You need to specify the name of an array; the component of the array, and the range of the array (min,max). These methods will override the information given by the previous methods. Definition at line 276 of file vtkDataObjectToDataSetFilter.h.

void vtkDataObjectToDataSetFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkDataObjectToDataSetFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkDataObjectToDataSetFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

void vtkDataObjectToDataSetFilter::SetArrayName | ( | char *& | name,
|  | char * | newName
| ) | `[protected]`

vtkIdType vtkDataObjectToDataSetFilter::ConstructPoints | ( | vtkPointSet * | ps | ) | `[protected]`

vtkIdType vtkDataObjectToDataSetFilter::ConstructPoints | ( | vtkRectilinearGrid * | rg | ) | `[protected]`

int vtkDataObjectToDataSetFilter::ConstructCells | ( | vtkPolyData * | pd | ) | `[protected]`

int vtkDataObjectToDataSetFilter::ConstructCells | ( | vtkUnstructuredGrid * | ug | ) | `[protected]`

vtkCellArray* vtkDataObjectToDataSetFilter::ConstructCellArray | ( | vtkDataArray * | da,
|  | int | comp,
|  | vtkIdType | compRange[2]
| ) | `[protected]`

void vtkDataObjectToDataSetFilter::ConstructDimensions | ( |  | ) | `[protected]`

void vtkDataObjectToDataSetFilter::ConstructSpacing | ( |  | ) | `[protected]`

void vtkDataObjectToDataSetFilter::ConstructOrigin | ( |  | ) | `[protected]`

## Member Data Documentation

char vtkDataObjectToDataSetFilter::Updating`[protected]`

| Reimplemented from vtkSource. Definition at line 288 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::DataSetType`[protected]`

| Definition at line 291 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::PointArrays[3]`[protected]`

| Definition at line 294 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::PointArrayComponents[3]`[protected]`

| Definition at line 295 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::PointComponentRange[3][2]`[protected]`

| Definition at line 296 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::PointNormalize[3]`[protected]`

| Definition at line 297 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::VertsArray`[protected]`

| Definition at line 300 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::VertsArrayComponent`[protected]`

| Definition at line 301 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::VertsComponentRange[2]`[protected]`

| Definition at line 302 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::LinesArray`[protected]`

| Definition at line 304 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::LinesArrayComponent`[protected]`

| Definition at line 305 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::LinesComponentRange[2]`[protected]`

| Definition at line 306 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::PolysArray`[protected]`

| Definition at line 308 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::PolysArrayComponent`[protected]`

| Definition at line 309 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::PolysComponentRange[2]`[protected]`

| Definition at line 310 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::StripsArray`[protected]`

| Definition at line 312 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::StripsArrayComponent`[protected]`

| Definition at line 313 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::StripsComponentRange[2]`[protected]`

| Definition at line 314 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::CellTypeArray`[protected]`

| Definition at line 317 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::CellTypeArrayComponent`[protected]`

| Definition at line 318 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::CellTypeComponentRange[2]`[protected]`

| Definition at line 319 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::CellConnectivityArray`[protected]`

| Definition at line 321 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::CellConnectivityArrayComponent`[protected]`

| Definition at line 322 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::CellConnectivityComponentRange[2]`[protected]`

| Definition at line 323 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::DefaultNormalize`[protected]`

| Definition at line 335 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::Dimensions[3]`[protected]`

| Definition at line 338 of file vtkDataObjectToDataSetFilter.h.

float vtkDataObjectToDataSetFilter::Origin[3]`[protected]`

| Definition at line 339 of file vtkDataObjectToDataSetFilter.h.

float vtkDataObjectToDataSetFilter::Spacing[3]`[protected]`

| Definition at line 340 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::DimensionsArray`[protected]`

| Definition at line 342 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::DimensionsArrayComponent`[protected]`

| Definition at line 343 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::DimensionsComponentRange[2]`[protected]`

| Definition at line 344 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::OriginArray`[protected]`

| Definition at line 346 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::OriginArrayComponent`[protected]`

| Definition at line 347 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::OriginComponentRange[2]`[protected]`

| Definition at line 348 of file vtkDataObjectToDataSetFilter.h.

char* vtkDataObjectToDataSetFilter::SpacingArray`[protected]`

| Definition at line 350 of file vtkDataObjectToDataSetFilter.h.

int vtkDataObjectToDataSetFilter::SpacingArrayComponent`[protected]`

| Definition at line 351 of file vtkDataObjectToDataSetFilter.h.

vtkIdType vtkDataObjectToDataSetFilter::SpacingComponentRange[2]`[protected]`

| Definition at line 352 of file vtkDataObjectToDataSetFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDataObjectToDataSetFilter.h